Subscribe to a feed

Subscribe to a specific data stream for targeted entities.

Use this endpoint to activate a data pipeline for a specific entity using a feed code retrieved from the Get available feeds catalog. Once configured, the platform will systematically compile and deliver the requested industry metrics in accordance with the feed's established schedule.

Request

POST /api/v2/data-feed/configured

Query string parameters

Parameter Value Description Additional
uuid string An entity UUID Required
code string Feed code Required
storageCode string Feed connector code Required
pushInterval integer Push interval. From 1h to 1 week defined in seconds Required

Response

Code Description Resource
200 OK

A team feed response

Configured feed
400 Bad Request

Invalid request

401 Unauthorized

You are not logged in

403 Forbidden

This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access.

405 Method Not Allowed

Sandbox only. This operation is not allowed on sandbox environment

409 Conflict

This feed already exist

Explore

An entity UUID

Feed code

Feed connector code

Push interval. From 1h to 1 week defined in seconds

Try it out